# Configurations (Core)

Endpoints to update and read general configuration of the fulfillmenttools platform.

## GET /api/configurations/gdpr

> Get GDPR config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GdprConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"actorAnonymization":{"default":true,"description":"If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect","type":"boolean"},"deletionTimeAfterRetention":{"description":"Number of days since anonymization until deletion is triggered","minimum":1,"type":"number"},"id":{"type":"string"},"retentionTime":{"description":"Number of days after that anonymization is triggered.","minimum":1,"type":"number"},"version":{"format":"int64","type":"integer"}},"required":["retentionTime","version"],"type":"object","title":"GdprConfiguration","description":"GdprConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/gdpr":{"get":{"description":"","operationId":"getGdprConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"description":"Gdpr configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Gdpr configuration not found"}},"summary":"Get GDPR config","tags":["Configurations (Core)"]}}}}
```

## PUT /api/configurations/gdpr

> Update GDPR config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GdprConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"actorAnonymization":{"default":true,"description":"If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect","type":"boolean"},"deletionTimeAfterRetention":{"description":"Number of days since anonymization until deletion is triggered","minimum":1,"type":"number"},"id":{"type":"string"},"retentionTime":{"description":"Number of days after that anonymization is triggered.","minimum":1,"type":"number"},"version":{"format":"int64","type":"integer"}},"required":["retentionTime","version"],"type":"object","title":"GdprConfiguration","description":"GdprConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/gdpr":{"put":{"description":"","operationId":"putGdprConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"description":"Gdpr configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Gdpr configuration not found"}},"summary":"Update GDPR config","tags":["Configurations (Core)"]}}}}
```

## GET /api/configurations/locale

> Get locale config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LocaleConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"countryLanguageMapping":{"$ref":"#/components/schemas/CountryLanguageMapping"},"id":{"type":"string"},"locale":{"$ref":"#/components/schemas/SupportedLocale"}},"required":["locale"],"type":"object","title":"LocaleConfiguration","description":"LocaleConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"CountryLanguageMapping":{"additionalProperties":{"type":"string"},"type":"object","title":"CountryLanguageMapping","description":"CountryLanguageMapping"},"SupportedLocale":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)","enum":["de_DE","en_US","pl_PL","ru_RU","nl_NL","fr_FR","it_IT","nb_NO","es_ES","cs_CZ","sk_SK","pt_PT","sl_SI","ro_RO","bg_BG","hr_HR","hu_HU","tr_TR"],"type":"string","title":"SupportedLocale"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/locale":{"get":{"description":"","operationId":"getLocaleConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocaleConfiguration"}}},"description":"The locale Configuration can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get locale config","tags":["Configurations (Core)"]}}}}
```

## PUT /api/configurations/locale

> Update locale config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LocaleConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"countryLanguageMapping":{"$ref":"#/components/schemas/CountryLanguageMapping"},"id":{"type":"string"},"locale":{"$ref":"#/components/schemas/SupportedLocale"}},"required":["locale"],"type":"object","title":"LocaleConfiguration","description":"LocaleConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"CountryLanguageMapping":{"additionalProperties":{"type":"string"},"type":"object","title":"CountryLanguageMapping","description":"CountryLanguageMapping"},"SupportedLocale":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)","enum":["de_DE","en_US","pl_PL","ru_RU","nl_NL","fr_FR","it_IT","nb_NO","es_ES","cs_CZ","sk_SK","pt_PT","sl_SI","ro_RO","bg_BG","hr_HR","hu_HU","tr_TR"],"type":"string","title":"SupportedLocale"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/locale":{"put":{"description":"","operationId":"putLocaleConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocaleConfiguration"}}},"description":"Desired default locale configuration to put","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocaleConfiguration"}}},"description":"The locale Configuration was successfully set."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update locale config","tags":["Configurations (Core)"]}}}}
```

## GET /api/configurations/supportedlocales

> List supported locales

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SupportedLocales":{"items":{"$ref":"#/components/schemas/SupportedLocale"},"type":"array","title":"SupportedLocales","description":"SupportedLocales"},"SupportedLocale":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)","enum":["de_DE","en_US","pl_PL","ru_RU","nl_NL","fr_FR","it_IT","nb_NO","es_ES","cs_CZ","sk_SK","pt_PT","sl_SI","ro_RO","bg_BG","hr_HR","hu_HU","tr_TR"],"type":"string","title":"SupportedLocale"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/supportedlocales":{"get":{"description":"","operationId":"getLocales","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportedLocales"}}},"description":"The supported locales can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List supported locales","tags":["Configurations (Core)"]}}}}
```

## GET /api/configurations/tenant

> Get tenant config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TenantConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"clearName":{"type":"string"}},"required":["clearName"],"type":"object","title":"TenantConfiguration","description":"TenantConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tenant":{"get":{"description":"","operationId":"getTenantConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantConfiguration"}}},"description":"Tenant configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Tenant configuration not found"}},"summary":"Get tenant config","tags":["Configurations (Core)"]}}}}
```

## Update tenant config

> Upsert tenant configuration

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TenantConfigurationForUpsert":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"clearName":{"type":"string"},"version":{"type":"number"}},"required":["clearName","version"],"type":"object","title":"TenantConfigurationForUpsert","description":"TenantConfigurationForUpsert"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TenantConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"clearName":{"type":"string"}},"required":["clearName"],"type":"object","title":"TenantConfiguration","description":"TenantConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tenant":{"put":{"description":"Upsert tenant configuration","operationId":"putTenantConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantConfigurationForUpsert"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantConfiguration"}}},"description":"Tenant configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Tenant configuration not found"}},"summary":"Update tenant config","tags":["Configurations (Core)"]}}}}
```

## List remote configurations (search)

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for RemoteConfiguration

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfigurationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/RemoteConfigurationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"RemoteConfigurationSearchPayload","type":"object","description":"RemoteConfigurationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"RemoteConfigurationSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/RemoteConfigurationSearchQuery"},"maxItems":500,"type":"array"},"groups":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by groups"},"key":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by key"},"or":{"items":{"$ref":"#/components/schemas/RemoteConfigurationSearchQuery"},"maxItems":500,"type":"array"},"scopes":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationScopesListFilter"}],"description":"Nested list search by scopes"}},"title":"RemoteConfigurationSearchQuery","type":"object","description":"RemoteConfigurationSearchQuery"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"RemoteConfigurationScopesListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationScopesFilter"}],"description":"Contains returns if at least one entry matches"}},"title":"RemoteConfigurationScopesListFilter","type":"object","description":"RemoteConfigurationScopesListFilter"},"RemoteConfigurationScopesFilter":{"properties":{"facilityRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by facilityRefs"},"userRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by userRefs"}},"title":"RemoteConfigurationScopesFilter","type":"object","description":"RemoteConfigurationScopesFilter"},"RemoteConfigurationPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"remoteConfigurations":{"items":{"$ref":"#/components/schemas/RemoteConfiguration"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","remoteConfigurations"],"title":"RemoteConfigurationPaginatedResult","type":"object","description":"RemoteConfigurationPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigurations/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for RemoteConfiguration","operationId":"searchRemoteConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List remote configurations (search)","tags":["Configurations (Core)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/configurations-core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
